package DB::Schema::Result::Team;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 NAME

DB::Schema::Result::Team

=cut

__PACKAGE__->table("teams");

=head1 ACCESSORS

=head2 team_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'teams_team_id_seq'

=head2 city

  data_type: 'text'
  is_nullable: 0

=head2 team

  data_type: 'text'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "team_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "teams_team_id_seq",
  },
  "city",
  { data_type => "text", is_nullable => 0 },
  "team",
  { data_type => "text", is_nullable => 0 },
);
__PACKAGE__->set_primary_key("team_id");
__PACKAGE__->add_unique_constraint("teams_city_key", ["city"]);
__PACKAGE__->add_unique_constraint("teams_team_key", ["team"]);

=head1 RELATIONS

=head2 teams_datas

Type: has_many

Related object: L<DB::Schema::Result::TeamsData>

=cut

__PACKAGE__->has_many(
  "teams_datas",
  "DB::Schema::Result::TeamsData",
  { "foreign.team_id" => "self.team_id" },
  { cascade_copy => 0, cascade_delete => 0 },
);


# Created by DBIx::Class::Schema::Loader v0.07002 @ 2011-10-30 16:01:35
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:agq0Db1cHDDbK10MQ8iLPQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
