package DB::Schema::Result::TeamsData;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';

__PACKAGE__->load_components("InflateColumn::DateTime");

=head1 NAME

DB::Schema::Result::TeamsData

=cut

__PACKAGE__->table("teams_data");

=head1 ACCESSORS

=head2 data_id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0
  sequence: 'teams_data_data_id_seq'

=head2 date

  data_type: 'date'
  is_nullable: 0

=head2 team_id

  data_type: 'integer'
  is_foreign_key: 1
  is_nullable: 0

=head2 rank

  data_type: 'integer'
  is_nullable: 0

=head2 current_season

  data_type: 'double precision'
  is_nullable: 0

=head2 last_three

  data_type: 'double precision'
  is_nullable: 0

=head2 last_one

  data_type: 'double precision'
  is_nullable: 0

=head2 last_season

  data_type: 'double precision'
  is_nullable: 0

=head2 home

  data_type: 'double precision'
  is_nullable: 0

=head2 away

  data_type: 'double precision'
  is_nullable: 0

=head2 zone

  data_type: 'integer'
  is_nullable: 0

=cut

__PACKAGE__->add_columns(
  "data_id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "teams_data_data_id_seq",
  },
  "date",
  { data_type => "date", is_nullable => 0 },
  "team_id",
  { data_type => "integer", is_foreign_key => 1, is_nullable => 0 },
  "rank",
  { data_type => "integer", is_nullable => 0 },
  "current_season",
  { data_type => "double precision", is_nullable => 0 },
  "last_three",
  { data_type => "double precision", is_nullable => 0 },
  "last_one",
  { data_type => "double precision", is_nullable => 0 },
  "last_season",
  { data_type => "double precision", is_nullable => 0 },
  "home",
  { data_type => "double precision", is_nullable => 0 },
  "away",
  { data_type => "double precision", is_nullable => 0 },
  "zone",
  { data_type => "integer", is_nullable => 0 },
);
__PACKAGE__->set_primary_key("data_id");
__PACKAGE__->add_unique_constraint("data_date_key", ["date", "team_id", "zone"]);

=head1 RELATIONS

=head2 team

Type: belongs_to

Related object: L<DB::Schema::Result::Team>

=cut

__PACKAGE__->belongs_to(
  "team",
  "DB::Schema::Result::Team",
  { team_id => "team_id" },
  { is_deferrable => 1, on_delete => "CASCADE", on_update => "CASCADE" },
);


# Created by DBIx::Class::Schema::Loader v0.07002 @ 2011-10-30 16:01:35
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:RzFPgLjWgkkmoC6OmXntVQ


# You can replace this text with custom content, and it will be preserved on regeneration
1;
