package Zones;

use strict;
use warnings;
use autodie;

use Scrape;
use DB;

use Text::CSV;

our %zones = (
  Redzone_Scoring => 181,
  Redzone_Scoring_Opponent => 248,
  Points_Per_Game => 4,
  Points_Per_Game_Opponent => 8,
);

sub get_zones {
  my $start = shift;
  my $end = shift;
  my $delay = shift;

  my $date = $start;
  while ($date < $end) {
    for my $name (keys %zones) {
      my $zone = $zones{$name};

      print "Fetching $name on ", $date->ymd, "\n";

      eval {
        my @scores = Scrape::scrape_data($zone, $date);

        for (@scores) {
          DB::insert_data($zone, $date, $_);
        }
      };

      print $@ if $@;
      sleep $delay;
    }
    $date->add(days => 7);
  }
}

sub make_csv {
  my $start = shift;
  my $end = shift;
  my $dest = shift;

  my $csv = Text::CSV->new ();

  while (my ($name, $zone) = each %zones) {
    my $date = $start->clone();
    while ($date < $end) {
      my @scores = DB::get_data($zone, $date);

      if (@scores) {
        open(my $fh, ">", $dest."/".$name."-".$date->ymd.".csv");

        #header
        $csv->print($fh, [qw[team rank current_season last_three last_one home away last_season]]);
        $fh ->print("\n");

        #actual data
        for (@scores) {
          $csv->print($fh, $_);
          $fh ->print("\n");
        }
      }

      $date->add(days => 7);
    }
  }
}